# Generate fleet configurations with custom fleet and hardware types
# Usage: nixosConfigurations = athenix.lib.mkFleet { fleet = { ... }; hwTypes = { ... }; }
{
  inputs,
  lib,
  config
}:
import ../fleet/default.nix {
  inherit inputs lib config;
}
